//---------------------------------------------------------------------------
// Ermittlung von Primzahlen
/*
Dazu wird jede Zahl durch alle Zahlen zwischen 2 und ihrem eigenen Wert minus
eins dividiert. Wenn bei dieser Division kein Rest bleibt, sind die Zahlen
durcheinander teilbar und der Kandidat ist keine Primzahl.
Das Flag (boolsche Variable) "istEinePrimzahl" kennzeichnet alle Zahlen, die
tatschlich Primzahlen sind.
Quelle: C++ fr Kids von Hans-Georg Schumann

brigens: Erst seit dem 20. Jahrhundert hat sich die Mathematik darauf geeinigt,
dass die 1 keine Primzahl ist! Wir starten daher mit der Zahl 2!
*/

#include <iostream>
#include <conio.h>

using namespace std;

//---------------------------------------------------------------------------
void main(void)
{
    const int MaxPrimzahl=100; // Ende der Berechnung
    int Primzahl, Divisor;   // Testkandidat
    bool istEinePrimzahl; // Flag fr Anzeige der Primzahlen

    for (Primzahl=2; Primzahl<=MaxPrimzahl; Primzahl++)
    // Durchlaufe alle Kandidaten
    {
        istEinePrimzahl = true;
       // Pruefe, ob Primzahl wirklich eine Primzahl ist
        for (Divisor=2; Divisor<=Primzahl-1; Divisor++)
        {
           if ((Primzahl % Divisor) == 0)
           {
                //cout << Primzahl << "-" << Divisor << endl;
                istEinePrimzahl = false;
           }
        }
        if (istEinePrimzahl)
        {
        cout << Primzahl << endl;
        }
    }
    getch(); // hlt die Konsole offen, bis eine Taste gedrckt wird
}
//---------------------------------------------------------------------------
 